/* Colour Palette */
:root {
    --body-background: #f5f5f5;
    --Darkest: #07182E;
    --Columns: #132945;
    --Accent: #1FA38F;
    --Text: #CBD6F5;
    --Grey-background: #6E7997;
}

/* Universal Styles */
html {
    font-size: 16px;
}

body {
    font-size: 100%;
    font-family: Arial, Helvetica, sans-serif;
    background-color: var(--Darkest);
    

}

.flexed {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1.5rem;
}

.inner-container {
    margin: 0 auto;
    max-width: 768px;
}

.wide-flex {
    display: flex;
    flex-flow: column wrap;
    gap: 1rem;
}

header {
    background-color: var(--Darkest);
    color: var(--Text);
    padding: 1rem;
    text-align: center;
    margin-bottom: 3rem;
}

.about {
    background-color: var(--Grey-background);
    color: var(--Text);
    padding: 1rem;
    border-radius: 0.5rem;
    margin-bottom: 1rem;
}

.projects {
    background-color: var(--Grey-background);
    color: var(--Text);
    padding: 1rem;
    border-radius: 0.5rem;
    margin-bottom: 1rem;
}

.contact {
    background-color: var(--Grey-background);
    color: var(--Text);
    padding: 1rem;
    border-radius: 0.5rem;
    margin-bottom: 1rem;
}
/* Typographical Styles */





/* Utility Styles */





/* Navigation */
a:link,  a:visited {
    color: var(--font-color);
}

a:hover, a:active {
    color: var(--contrast-color) ;
}
